Subject: [alto] A YANG model of ALTO base protocol?

From: "Y. Richard Yang" <[email-masked]>
Date: Thu, 31 Jul 2014 15:54:39 -0400

Hi all,

A "fashion" in IETF lately appears to be using YANG to express data models.
A formal mechanism to specify design precisely always helps. The target of
ALTO data is application programmers, and hence first YANG and then JSON
may not be necessary. But given the "fashion", I feel that it may help if
we give a YANG model of the existing spec (i.e., a kind of
reverse-engineering). The ALTO protocol already specifies data types
precisely, using a C-like struct we invented. Hence, I do not anticipate a
lot of work. But it can be a good item that the WG finishes.

Any comments?

Thanks.
Richard